﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="Grid" AutoEventWireup="true" CodeBehind="GridFeatures.aspx.cs" Inherits="SyncfusionASPNETApplication8.GridFeatures" %>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<div class="frame ">
    <div>
        <ej:Grid ID="Grid1"    AllowPaging="True"
  Locale="en-US" 
               runat="server">
            <ClientSideEvents BeforeBatchSave="actualizarRecursos"  />
            <Columns>
                <ej:Column Field="OrderID" IsPrimaryKey="true" HeaderText="Order ID"    TextAlign="Right" Width="90" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID"   Width="100"  />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" HeaderTemplateID="#employeeTemplate" TextAlign="Right" Width="110"  />
                <ej:Column Field="Freight" HeaderText="Freight"  TextAlign="Right" Width="90" Format="{0:C}" />
                <ej:Column Field="OrderDate" HeaderText="Order Date" Width="100" HeaderTemplateID="#dateTemplate" TextAlign="Right" Format="{0:MM/dd/yyyy}" />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="100" />
            </Columns>
                <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" EditMode="Batch"></EditSettings>
            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
        </ej:Grid>
    </div>
        </div>
</asp:Content>
<asp:Content ID="ScriptContent1" ContentPlaceHolderID="ScriptContent" runat="server">
<script type="text/javascript">

    function actualizarRecursos(args) {
        console.log("Entra actualizar recursos");

        }

</script>

</asp:Content>